Bug 1025102 - (masscan) Review Request: masscan - Port scanner
Review Request: masscan - Port scanner
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-10-30 22:52 EDT by Rino Rondan
Modified: 2014-01-09 07:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 07:13:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rino Rondan 2013-10-30 22:52:39 EDT
Spec URL: <http://villadalmine.fedorapeople.org/masscan.spec>
SRPM URL: <http://villadalmine.fedorapeople.org/masscan-master-1.fc19.src.rpm>
Description: 
This is the fastest Internet port scanner.
It can scan the entire Internet in under
6 minutes, transmitting 10 million packets
per second.


Fedora Account System Username: villadalmine
Comment 1 Christopher Meng 2013-10-30 22:54:03 EDT
Yeah this one is interesting...
Comment 2 Rino Rondan 2013-10-30 22:55:45 EDT
wwow !! i hope i can finish it :) help me!!
Comment 3 Christopher Meng 2013-10-30 23:02:02 EDT
It's still in prerelease stage, you should look into the guidelines and use proper version.
Comment 4 Rino Rondan 2013-10-30 23:46:52 EDT
Spec URL: <http://villadalmine.fedorapeople.org/masscan.spec>
SRPM URL: <http://villadalmine.fedorapeople.org/masscan-0-2.20131030gita2c42d8.fc19.src.rpm>

Change some info on the spec and a new src was generated.
Comment 5 Christopher Meng 2013-10-31 00:09:24 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated", "BSD (4 clause)". 105 files
     have unknown license. Detailed output of licensecheck in
     /home/rpmaker/Desktop/masscan/licensecheck.txt
[!]: %build honors applicable compiler flags or justifies otherwise.

-----> You didn't use optflags macro, please insert the flags correctly.

[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: masscan-0-2.20131030gita2c42d8.fc21.i686.rpm
          masscan-0-2.20131030gita2c42d8.fc21.src.rpm
masscan.i686: W: incoherent-version-in-changelog 2 ['0-2.20131030gita2c42d8.fc21', '0-2.20131030gita2c42d8']
masscan.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/masscan/VULNINFO.md
masscan.i686: W: no-manual-page-for-binary masscan
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

---------> Please fix.



Rpmlint (installed packages)
----------------------------
# rpmlint masscan
masscan.i686: W: incoherent-version-in-changelog 2 ['0-2.20131030gita2c42d8.fc21', '0-2.20131030gita2c42d8']
masscan.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/masscan/VULNINFO.md
masscan.i686: W: no-manual-page-for-binary masscan
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
masscan (rpmlib, GLIBC filtered):
    libc.so.6
    libdl.so.2
    libm.so.6
    libpcap.so.1
    libpthread.so.0
    librt.so.1
    rtld(GNU_HASH)



Provides
--------
masscan:
    masscan
    masscan(x86-32)



Source checksums
----------------
https://github.com/robertdavidgraham/masscan/archive/a2c42d86b688986e94d42b8b15ad595a9f994cfe/masscan-master-a2c42d8.zip :
  CHECKSUM(SHA256) this package     : 84d14ffdf4900e02554caad44e9979bb051cab7dd80cc21548fc00b75d5a64eb
  CHECKSUM(SHA256) upstream package : 84d14ffdf4900e02554caad44e9979bb051cab7dd80cc21548fc00b75d5a64eb


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn masscan-0-2.20131030gita2c42d8.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG





-----------------

Having problems still, and the %summary of this package is not good. Please consider a change.
Comment 6 Rino Rondan 2013-10-31 01:37:25 EDT
Spec URL: <http://villadalmine.fedorapeople.org/masscan.spec>
SRPM URL: <http://villadalmine.fedorapeople.org/masscan-0-4.20131030gita2c42d8.fc19.src.rpm>

Please could you check it now.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6118353





This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated", "BSD (4 clause)". 105 files
     have unknown license. Detailed output of licensecheck in
     /home/makerpm/rpmbuild/SRPMS/review-masscan/licensecheck.txt
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: masscan-0-4.20131030gita2c42d8.fc21.x86_64.rpm
          masscan-0-4.20131030gita2c42d8.fc21.src.rpm
masscan.x86_64: W: no-manual-page-for-binary masscan
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint masscan
masscan.x86_64: W: incoherent-version-in-changelog 2 ['0-2.20131030gita2c42d8.fc21', '0-2.20131030gita2c42d8']
masscan.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/masscan/VULNINFO.md
masscan.x86_64: W: no-manual-page-for-binary masscan
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
masscan (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libpcap.so.1()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
masscan:
    masscan
    masscan(x86-64)



Source checksums
----------------
https://github.com/robertdavidgraham/masscan/archive/a2c42d86b688986e94d42b8b15ad595a9f994cfe/masscan-master-a2c42d8.zip :
  CHECKSUM(SHA256) this package     : 84d14ffdf4900e02554caad44e9979bb051cab7dd80cc21548fc00b75d5a64eb
  CHECKSUM(SHA256) upstream package : 84d14ffdf4900e02554caad44e9979bb051cab7dd80cc21548fc00b75d5a64eb


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -n masscan -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 7 Christopher Meng 2013-10-31 03:01:41 EDT
Summary:	Port scanner

Please think about a better one......

-----------

%description
This is a fast Internet port scanner.

You can fetch more from github page....
Comment 8 Rino Rondan 2013-10-31 09:30:17 EDT
Spec URL: <http://villadalmine.fedorapeople.org/masscan.spec>
SRPM URL: <http://villadalmine.fedorapeople.org/masscan-0-5.20131030gita2c42d8.fc19.src.rpm>

Change some info on the spec and a new src was generated.
Comment 9 Fabian Affolter 2013-11-01 08:02:35 EDT
Upstream is providing tarballs [1] for releases.

[1] https://github.com/robertdavidgraham/masscan/releases
Comment 10 Rino Rondan 2013-11-01 08:31:35 EDT
Ok, great, maybe it was an early update :).. I will recreate the package removing the pre-release tags, in a few days i will do that...


Regards
Comment 12 Rino Rondan 2013-11-07 20:59:45 EST
Hi Christopher, Do you have time for do a review again, please let me know.

Best Regards
Comment 13 Christopher Meng 2013-12-30 22:21:57 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated", "BSD (4 clause)". 106 files
     have unknown license. Detailed output of licensecheck:

BSD (3 clause)
--------------
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rte-ring.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rte-ring.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/Packet32.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/Win32-Extensions.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/bittypes.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap-stdinc.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap/bluetooth.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap/usb.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/remote-ext.h

BSD (4 clause)
--------------
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap-bpf.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap-namedb.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap/bpf.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap/namedb.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap/pcap.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap/sll.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/pcap/vlan.h

Unknown or generated
--------------------
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/event-timeout.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/event-timeout.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/in-binary.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/in-binary.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/logger.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/logger.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-conf.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-dedup.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-dedup.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-globals.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-initadapter.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-listscan.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-ptrace.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-ptrace.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-src.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-src.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-status.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-status.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-throttle.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main-throttle.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/main.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/masscan-app.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/masscan-app.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/masscan-status.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/masscan.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/out-binary.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/out-null.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/out-record.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/out-redis.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/out-text.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/out-xml.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/output.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/output.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/packet-queue.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/pixie-file.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/pixie-file.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/pixie-sockets.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/pixie-threads.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/pixie-threads.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/pixie-timer.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/pixie-timer.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-arp.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-arp.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-banner1.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-banner1.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-dns-parse.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-dns.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-dns.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-http.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-http.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-icmp.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-icmp.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-netbios.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-netbios.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-preprocess.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-preprocess.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-snmp.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-snmp.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-ssh.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-ssh.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-ssl.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-ssl.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-tcp.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-tcp.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-udp.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-udp.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-zeroaccess.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/proto-zeroaccess.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rand-blackrock.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rand-blackrock.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rand-lcg.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rand-lcg.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rand-primegen.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rand-primegen.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/ranges.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/ranges.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-arp.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-getif.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-getip.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-getmac.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-getroute.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-pcapfile.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-pcapfile.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-pfring.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock-pfring.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/rawsock.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/siphash24.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/siphash24.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/smack.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/smack1.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/smackqueue.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/smackqueue.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/string_s.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/string_s.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/syn-cookie.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/syn-cookie.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/templ-payloads.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/templ-payloads.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/templ-pkt.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/templ-pkt.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/templ-port.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/unusedparm.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/xring.c
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/src/xring.h
masscan-8746c78856ca9a4d20617dd5d234850a6136b0af/vs10/include/ip6_misc.h

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: masscan-1.0-6.fc21.i686.rpm
          masscan-1.0-6.fc21.src.rpm
masscan.i686: W: spelling-error %description -l en_US nmap -> nap, map, neap
masscan.i686: W: spelling-error %description -l en_US scanrand -> scan rand, scan-rand, Casandra
masscan.i686: W: spelling-error %description -l en_US unicornscan -> unicorn scan, unicorn-scan, unicorns can
masscan.i686: W: no-manual-page-for-binary masscan
masscan.src: W: spelling-error %description -l en_US nmap -> nap, map, neap
masscan.src: W: spelling-error %description -l en_US scanrand -> scan rand, scan-rand, Casandra
masscan.src: W: spelling-error %description -l en_US unicornscan -> unicorn scan, unicorn-scan, unicorns can
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint masscan
masscan.i686: W: spelling-error %description -l en_US nmap -> nap, map, neap
masscan.i686: W: spelling-error %description -l en_US scanrand -> scan rand, scan-rand, Casandra
masscan.i686: W: spelling-error %description -l en_US unicornscan -> unicorn scan, unicorn-scan, unicorns can
masscan.i686: W: no-manual-page-for-binary masscan
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
masscan (rpmlib, GLIBC filtered):
    libc.so.6
    libdl.so.2
    libm.so.6
    libpcap.so.1
    libpthread.so.0
    librt.so.1
    rtld(GNU_HASH)



Provides
--------
masscan:
    masscan
    masscan(x86-32)



Source checksums
----------------
https://github.com/robertdavidgraham/masscan/archive/8746c78856ca9a4d20617dd5d234850a6136b0af/masscan-1.0-8746c78.zip :
  CHECKSUM(SHA256) this package     : 5a4ef232b3d66088cac937b7fec12f4188160a7b3afce1b6854d5895a31d94c5
  CHECKSUM(SHA256) upstream package : 5a4ef232b3d66088cac937b7fec12f4188160a7b3afce1b6854d5895a31d94c5


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn masscan-1.0-6.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG

----------------
PACKAGE APPROVED.

Only a small issue is in the %description:

It is a faster port scan that  produces results similar to nmap,

should be:

It is a faster port scan that produces results similar to nmap,
Comment 14 Christopher Meng 2014-01-01 06:00:03 EST
Remember to use standard make install way in the future update:

https://github.com/robertdavidgraham/masscan/pull/48
Comment 15 Rino Rondan 2014-01-01 21:32:07 EST
Updated the description field.
Comment 16 Christopher Meng 2014-01-01 22:00:17 EST
Also, remember to specify LDFLAGS by %__global_ldflags in the future also.
Comment 17 Rino Rondan 2014-01-01 22:25:16 EST
New Package SCM Request
=======================
Package Name: masscan
Short Description: This is the fastest Internet port scanner
Owners: villadalmine
Branches: f19 f20 
InitialCC: villadalmine
Comment 18 Jens Petersen 2014-01-02 07:24:04 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.